#!/usr/bin/env bash

set -o errexit
set -o nounset
set -o pipefail

csh "groupadd --gid ${BUILD_ARG_APP_GROUP_ID} rabbitmq"
csh "useradd --uid ${BUILD_ARG_APP_USER_ID} --gid ${BUILD_ARG_APP_GROUP_ID} --home-dir /var/lib/rabbitmq/ --shell /bin/bash rabbitmq"

csh "apt-get-update"
csh "apt-get install --yes rabbitmq-server"
csh "apt-get-clean"

# .post
csh "rm $0"
